From b24bc430515d5e762bbb419190831e961dbc2e4f Mon Sep 17 00:00:00 2001
From: Frederic Cambus <fred@statdns.com>
Date: Mon, 10 Feb 2020 15:37:32 +0100
Subject: [PATCH] Remove set but not used variable, broke the build with GCC 9.2.0.

---
 src/module.c | 3 ---
 1 file changed, 3 deletions(-)

diff --git a/src/module.c b/src/module.c
index a2f3b993..4d5d7181 100644
--- a/src/module.c
+++ b/src/module.c
@@ -286,11 +286,8 @@ kore_module_handler_free(struct kore_module_handle *hdlr)
 struct kore_module_handle *
 kore_module_handler_find(struct http_request *req, struct kore_domain *dom)
 {
-	struct connection		*c;
 	struct kore_module_handle	*hdlr;
 
-	c = req->owner;
-
 	TAILQ_FOREACH(hdlr, &(dom->handlers), list) {
 		if (hdlr->type == HANDLER_TYPE_STATIC) {
 			if (!strcmp(hdlr->path, req->path))
